View Single Post
  #2   (View Single Post)  
Old 4th July 2009
BSDfan666 BSDfan666 is offline
Real Name: N/A, this is the interweb.
Helpful companion
 
Join Date: Apr 2008
Location: Ontario, Canada
Posts: 2,223
Default

The wpi(4) driver in NetBSD is based on the same one that's in OpenBSD, written by Damien Bergamini.

In OpenBSD, users must acquire the firmware from Damien's own website in a format installable using the native package management tools, i.e: pkg_add(1).

NetBSD 5.0 appears to distribute the firmware from Intel, unfortunately users must agree to the terms of the Intel EULA prior using it.

Blindly trying sysctl(1) commands isn't very productive, you can see a list of all elements using no arguments at all.. or by using -a, it is however very inconsiderate of them to not include it in the man page, I agree.

The sysctl MIB should be hw.wpi.accept_eula, are you sure it is not?

I myself don't like this EULA stuff either, so feel free to use OpenBSD and avoid this mess.

Good luck, and I hope that helps.
Reply With Quote